TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsProbablePrime ( elt-ord^rat n ) -> elt-alg^boo

### Optional Arguments

Bases | elt-ord^rat |  |

### Description

<shortdoc> True iff the integer n is a probable prime (true iff n is prime for n < 25*10^9; otherwise true iff n is a strong pseudoprime for 20 random bases b with 1 < b < n). </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack